> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get time logs for a ticket



## OpenAPI

````yaml get /v1/tickets/{id}/time-logs
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/tickets/{id}/time-logs:
    get:
      tags:
        - Tickets
      summary: Get time logs for a ticket
      operationId: TicketsController_getTimeLogsForTicket
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllTicketTimeLogsResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    GetAllTicketTimeLogsResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The ticket time logs fetched
          type: array
          items:
            $ref: '#/components/schemas/TicketTimeLogResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TicketTimeLogResponseDto:
      type: object
      properties:
        ticketId:
          type: string
          description: Unique identifier of the ticket for which time is logged
        userId:
          type: string
          description: Unique identifier of the user who logged the time
        userName:
          type: string
          description: Name of the user who logged the time
        description:
          type: string
          description: Description of the time logged
        timeSpentMinutes:
          type: number
          description: Time spent in minutes
      required:
        - ticketId
        - userId
        - userName
        - description
        - timeSpentMinutes
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````